> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pod

> Return DB details for a single pod.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/pods/{pod_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/pods/{pod_id}:
    get:
      tags:
        - admin-pods
      summary: Get Pod
      description: Return DB details for a single pod.
      operationId: get_pod_api_admin_pods__pod_id__get
      parameters:
        - name: pod_id
          in: path
          required: true
          schema:
            type: string
            title: Pod Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_PodDetailResponse_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_PodDetailResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/PodDetailResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[PodDetailResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    PodDetailResponse:
      properties:
        id:
          type: string
          title: Id
        remoteId:
          type: string
          title: Remoteid
        name:
          type: string
          title: Name
        providerType:
          type: string
          title: Providertype
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        status:
          type: string
          title: Status
        installationStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Installationstatus
        testStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Teststatus
        finalizerStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizerstatus
        installationProgress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Installationprogress
        installationFailure:
          anyOf:
            - type: string
            - type: 'null'
          title: Installationfailure
        gpuName:
          type: string
          title: Gpuname
        gpuCount:
          type: integer
          title: Gpucount
        socket:
          anyOf:
            - type: string
            - type: 'null'
          title: Socket
        priceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Pricehr
        stoppedPriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Stoppedpricehr
        provisioningPriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Provisioningpricehr
        basePriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Basepricehr
        baseCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Basecurrency
        environmentType:
          anyOf:
            - type: string
            - type: 'null'
          title: Environmenttype
        clusterId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clusterid
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        walletId:
          anyOf:
            - type: string
            - type: 'null'
          title: Walletid
        isDetached:
          type: boolean
          title: Isdetached
          default: false
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        terminatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminatedat
        providerReadyAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Providerreadyat
        piReadyAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Pireadyat
        info:
          title: Info
      type: object
      required:
        - id
        - remoteId
        - name
        - providerType
        - status
        - gpuName
        - gpuCount
        - createdAt
        - updatedAt
      title: PodDetailResponse
      description: All safe DB details for a single pod.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````